import { Component, ComponentNames } from ".";
import { Game } from "..";
import { Entity } from "../entities";

export class Colliding extends Component {
  public onCollision?: (game: Game, entity: Entity) => void;

  constructor(onCollision?: (game: Game, entity: Entity) => void) {
    super(ComponentNames.Colliding);

    this.onCollision = onCollision;
  }
}
